# This configuration file dictates the organization of the topic groups and
# topics on the main page of the doc site for this branch. Each record
# consists of the following:
#
# ---                                  <= Record delimiter
# Name: Origin of the Species          <= Display name of topic group
# Dir:  origin_of_the_species          <= Directory name of topic group
# Topics:
#   - Name: The Majestic Marmoset      <= Topic name
#     File: the_majestic_marmoset      <= Topic file under group dir +/-
#   - Name: The Curious Crocodile      <= Topic 2 name
#     File: the_curious_crocodile      <= Topic 2 file
#   - Name: The Numerous Nematodes     <= Sub-topic group name
#     Dir: the_numerous_nematodes      <= Sub-topic group dir
#     Topics:
#       - Name: The Wily Worm          <= Sub-topic name
#         File: the_wily_worm          <= Sub-topic file under <group dir>/<subtopic dir>
#       - Name: The Acrobatic Ascarid  <= Sub-topic 2 name
#         File: the_acrobatic_ascarid  <= Sub-topic 2 file under <group dir>/<subtopic dir>
#
# The ordering of the records in this document determines the ordering of the
# topic groups and topics on the main page.

---
#add right below "Policies and service definition" and above "Support"
---
Name: Service Mesh
Dir: service_mesh
Distros: openshift-dedicated
Topics:
- Name: Service Mesh 2.x
  Dir: v2x
  Topics:
  - Name: About OpenShift Service Mesh
    File: ossm-about
  - Name: Service Mesh 2.x release notes
    File: servicemesh-release-notes
  - Name: Service Mesh support
    File: ossm-support
  - Name: Service Mesh architecture
    File: ossm-architecture
  - Name: Service Mesh and Istio differences
    File: ossm-vs-community
  - Name: Preparing to install Service Mesh
    File: preparing-ossm-installation
  - Name: Installing the Operators
    File: installing-ossm
  - Name: Creating the ServiceMeshControlPlane
    File: ossm-create-smcp
  - Name: Adding workloads to a service mesh
    File: ossm-create-mesh
  - Name: Enabling sidecar injection
    File: prepare-to-deploy-applications-ossm
  - Name: Upgrading from 1.1 to 2.0
    File: upgrading-ossm
  - Name: Managing users and profiles
    File: ossm-profiles-users
  - Name: Security
    File: ossm-security
  - Name: Traffic management
    File: ossm-traffic-manage
  - Name: Metrics and traces
    File: ossm-observability
  - Name: Performance and scalability
    File: ossm-performance-scalability
  - Name: Deploying to production
    File: ossm-deploy-production
  - Name: Extensions
    File: ossm-extensions
  - Name: Using the 3scale Istio adapter
    File: threescale-adapter
  - Name: SMCP configuration reference
    File: ossm-reference-smcp
  - Name: Jaeger configuration reference
    File: ossm-reference-jaeger
  - Name: Uninstalling Service Mesh
    File: removing-ossm
---
Name: Jaeger
Dir: jaeger
Distros: openshift-dedicated
Topics:
- Name: Jaeger release notes
  File: rhbjaeger-release-notes
- Name: Jaeger architecture
  Dir: jaeger_arch
  Topics:
  - Name: Jaeger architecture
    File: rhbjaeger-architecture
- Name: Jaeger installation
  Dir: jaeger_install
  Topics:
  - Name: Installing Jaeger
    File: rhbjaeger-installation
  - Name: Configuring Jaeger
    File: rhbjaeger-deploying
  - Name: Upgrading Jaeger
    File: rhbjaeger-updating
  - Name: Removing Jaeger
    File: rhbjaeger-removing
---
